Index: data/media/levels/gametype_asteroids.oxw
===================================================================
--- data/media/levels/gametype_asteroids.oxw	(revision 5520)
+++ data/media/levels/gametype_asteroids.oxw	(revision 5521)
@@ -18,50 +18,63 @@
 
 
-<SpawnPoint position="-300,300,0" name="playerstart" lookat="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-
-
-
+
+<SpawnPoint position="-300,300,0" name="playerstart" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+<!--
 <?lua
-for i = 1, 100, 1 
-do ?>
-  <Model scale="<?lua print(math.random() * 150 + 30) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" position="<?lua print(math.random() *      10000 ) ?>,<?lua print(math.random() * 10000 - 5000) ?>,<?lua print(math.random() * 10000 - 5000) ?>">
+for i = 1, 500, 1 
+do
+j = math.random()
+?>
     
-</Model>
+    <MovableEntity position="<?lua print(math.random()* 10000 - 5000) ?>,<?lua print(math.random() * 10000 - 5000) ?>,<?lua print(math.random() * 10000 - 5000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 scale=<?lua print(j * 150 + 30) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() *100) ?>" > 
+      <attached>
+        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mass=<?lua print(j * 30) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 2300 + 450) ?>" />
+      </collisionShapes>
+    </MovableEntity>
 <?lua 
 end
 ?>
-
-
-
-<ForceField position="0,-300,0" direction="0,-1,0" diameter=500 velocity=70>
-  <attached>
-    <ParticleEmitter source="Orxonox/forcefield" startdelay=0 />
+-->
+
+
+<MovableEntity position="0,0,0" collisionType=dynamic linearDamping=0.8 angularDamping=0 scale=5 collisiondamage=1 enablecollisiondamage=true> 
+  <attached>
+    <Model position="0,0,0" scale=10 mass=100 mesh="ast1.mesh" />
+  </attached>
+    <collisionShapes>
+      <SphereCollisionShape radius=150 />
+    </collisionShapes>
+</MovableEntity>
+
+
+<ForceField position="0,-500,0" direction="0,1,0" diameter=500 velocity=70>
+  <attached>
+    <ParticleEmitter source="Orxonox/ForceFieldPurple" startdelay=0 />
   </attached>         
  </ForceField>
  
- <!--
- <ForceField position="1000,-100,0" direction="0,1,1" diameter=500 velocity=30>
-  <attached>
-    <ParticleEmitter source="Orxonox/forcefield" startdelay=0 />
+
+ <ForceField position="1000,-500,0" direction="0,1,1" diameter=500 velocity=30>
+  <attached>
+    <ParticleEmitter source="Orxonox/ForceFieldGreen" startdelay=0 />
   </attached>         
  </ForceField>
  
- <ForceField position="1800,300,-300" direction="0,0,1" diameter=800 velocity=100>
-  <attached>
-    <ParticleEmitter source="Orxonox/forcefield" startdelay=0 />
+ <ForceField position="1800,-300,-300" direction="0,0,1" diameter=800 velocity=100>
+  <attached>
+    <ParticleEmitter source="Orxonox/ForceFieldBlue" startdelay=0 />
   </attached>         
  </ForceField>
--->
-
-
-<CheckPoint name=trigger1 position="-200,300,0" scale=5 isdestination=false isfirst=true stayactive=true distance=50 addtime=20>
-  <attached>
-    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="1,0,0">
-    </Billboard>
-  </attached>
-</CheckPoint>
-
-
-<CheckPoint name=trigger2 position="1000,300,0" scale=5 isdestination=false stayactive=true distance=100 addtime=5>
+
+
+
+<CheckPoint name=trigger1 position="-300,300,0" scale=1 isdestination=false isfirst=true stayactive=true distance=10 addtime=20 />
+
+
+<CheckPoint name=trigger2 position="1100,300,0" scale=3 isdestination=false stayactive=true distance=100 addtime=10>
   <events>
     <activity>
@@ -70,17 +83,38 @@
   </events>
   <attached>
-    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="1,0,0" />
-  </attached>
-  <attached>
-    <BlinkingBillboard frequency=0.2 amplitude=1 position="0,0,1" scale=1 material="Flares/lensflare" colour="1,1,0">
-      <events>
-        <visibility>
-          <EventListener event=trigger1 />
-        </visibility>
-      </events>
-    </BlinkingBillboard>
-  </attached>
-  <attached>
-    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="0,1,0">
+    <Billboard material="Flares/lensflare" colour="1,0,0">
+      <events>
+        <visibility>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <EventListener event=trigger1 />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </Billboard>
+    <BlinkingBillboard frequency=0.2 amplitude=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event=trigger1 />
+              </trigger>
+            </events>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event=trigger2 />
+                </trigger>
+              </events>
+            </EventTrigger>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+    <Billboard material="Flares/lensflare" colour="0,1,0">
       <events>
         <visibility>
@@ -93,5 +127,5 @@
 
 
-<CheckPoint name=trigger3 position="1800,300,800" stayactive=true distance=100 addtime=5>
+<CheckPoint name=trigger3 position="2100,0,200" scale=3 isdestination=false stayactive=true distance=100 addtime=10>
   <events>
     <activity>
@@ -100,46 +134,49 @@
   </events>
   <attached>
-    <BlinkingBillboard frequency=0.2 amplitude=1 position="0,0,0" scale=1 material="Flares/lensflare" colour="1,1,0">
-      <events>
-        <visibility>
-          <EventListener event=trigger2 />
-        </visibility>
-      </events>
-    </BlinkingBillboard>
-  </attached>
-  <attached>
-    <Billboard position="0,0,0" scale=1 material="Flares/lensflare" colour="1,0,0" />
-  </attached>
-</CheckPoint>
-
-
-
-
-
-<!--
-<CheckPoint name=trigger1 position="-300,300,0" scale=5 isdestination=false isfirst=true stayactive=true distance=50 addtime=5 visibillity=false />
-
-
-<CheckPoint name=trigger2 position="1000,300,0" scale=5 isdestination=false stayactive=true distance=100 addtime=5>
-  <events>
-    <activity>
-      <EventListener event=trigger1 />
-    </activity>
-  </events>
-</CheckPoint>
-
-
-<CheckPoint name=trigger3 position="1800,300,800" stayactive=true distance=100 addtime=5>
-  <events>
-    <activity>
-      <EventListener event=trigger2 />
-    </activity>
-  </events>
-</CheckPoint>
-
-
-
-
-<CheckPoint name=trigger4 position="2600,400,1100" stayactive=true distance=100 addtime=25>
+    <Billboard material="Flares/lensflare" colour="1,0,0">
+      <events>
+        <visibility>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <EventListener event=trigger2 />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </Billboard>
+    <BlinkingBillboard frequency=0.2 amplitude=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event=trigger2 />
+              </trigger>
+            </events>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event=trigger3 />
+                </trigger>
+              </events>
+            </EventTrigger>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+    <Billboard material="Flares/lensflare" colour="0,1,0">
+      <events>
+        <visibility>
+          <EventListener event=trigger3 />
+        </visibility>
+      </events>
+    </Billboard>
+  </attached>
+</CheckPoint>
+
+
+<CheckPoint name=trigger4 position="2800,200,0" scale=3 isdestination=false stayactive=true distance=100 addtime=7>
   <events>
     <activity>
@@ -147,21 +184,204 @@
     </activity>
   </events>
-</CheckPoint>
-
-
-
-<Model position="3800,400,1800" scale=10 mesh="Carrier.mesh" pitch=180>
-  <attached>
-    <CheckPoint position="-10,0,0" name=trigger5 stayactive=true distance=80 isdestination=true scal=1>
-      <events>
-        <activity>
+  <attached>
+    <Billboard material="Flares/lensflare" colour="1,0,0">
+      <events>
+        <visibility>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <EventListener event=trigger3 />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </Billboard>
+    <BlinkingBillboard frequency=0.2 amplitude=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event=trigger3 />
+              </trigger>
+            </events>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event=trigger4 />
+                </trigger>
+              </events>
+            </EventTrigger>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+    <Billboard material="Flares/lensflare" colour="0,1,0">
+      <events>
+        <visibility>
           <EventListener event=trigger4 />
-        </activity>
-      </events>
-    </CheckPoint>
+        </visibility>
+      </events>
+    </Billboard>
+  </attached>
+</CheckPoint>
+
+
+<CheckPoint name=trigger5 position="3600,300,-100" scale=3 isdestination=false stayactive=true distance=100 addtime=6>
+  <events>
+    <activity>
+      <EventListener event=trigger4 />
+    </activity>
+  </events>
+  <attached>
+    <Billboard material="Flares/lensflare" colour="1,0,0">
+      <events>
+        <visibility>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <EventListener event=trigger4 />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </Billboard>
+    <BlinkingBillboard frequency=0.2 amplitude=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event=trigger4 />
+              </trigger>
+            </events>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event=trigger5 />
+                </trigger>
+              </events>
+            </EventTrigger>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+    <Billboard material="Flares/lensflare" colour="0,1,0">
+      <events>
+        <visibility>
+          <EventListener event=trigger5 />
+        </visibility>
+      </events>
+    </Billboard>
+  </attached>
+</CheckPoint>
+
+
+<CheckPoint name=trigger6 position="4600, 800,-400" scale=3 isdestination=false stayactive=true distance=100 addtime=6>
+  <events>
+    <activity>
+      <EventListener event=trigger5 />
+    </activity>
+  </events>
+  <attached>
+    <Billboard material="Flares/lensflare" colour="1,0,0">
+      <events>
+        <visibility>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <EventListener event=trigger5 />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </Billboard>
+    <BlinkingBillboard frequency=0.2 amplitude=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event=trigger5 />
+              </trigger>
+            </events>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event=trigger6 />
+                </trigger>
+              </events>
+            </EventTrigger>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+    <Billboard material="Flares/lensflare" colour="0,1,0">
+      <events>
+        <visibility>
+          <EventListener event=trigger6 />
+        </visibility>
+      </events>
+    </Billboard>
+  </attached>
+</CheckPoint>
+
+
+<Model position="3800,1200,-900" scale=10 mesh="Carrier.mesh" pitch=180>
+  <attached>
+    <CheckPoint position="-10,0,0" name=trigger7 scale=0.1 isdestination=true stayactive=true distance=100>
+  <events>
+    <activity>
+      <EventListener event=trigger6 />
+    </activity>
+  </events>
+  <attached>
+    <Billboard material="Flares/lensflare" colour="1,0,0">
+      <events>
+        <visibility>
+          <EventTrigger invert=true>
+            <events>
+              <trigger>
+                <EventListener event=trigger6 />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </Billboard>
+    <BlinkingBillboard frequency=0.2 amplitude=1 material="Flares/lensflare" colour="1,1,0">
+      <events>
+        <visibility>
+          <EventTrigger>
+            <events>
+              <trigger>
+                <EventListener event=trigger6 />
+              </trigger>
+            </events>
+            <EventTrigger invert=true>
+              <events>
+                <trigger>
+                  <EventListener event=trigger7 />
+                </trigger>
+              </events>
+            </EventTrigger>
+          </EventTrigger>
+        </visibility>
+      </events>
+    </BlinkingBillboard>
+    <Billboard material="Flares/lensflare" colour="0,1,0">
+      <events>
+        <visibility>
+          <EventListener event=trigger7 />
+        </visibility>
+      </events>
+    </Billboard>
+  </attached>
+</CheckPoint>
   </attached>
 </Model>
--->
-
 
   </Scene>
Index: data/media/levels/presentation_dm.oxw
===================================================================
--- data/media/levels/presentation_dm.oxw	(revision 5520)
+++ data/media/levels/presentation_dm.oxw	(revision 5521)
@@ -45,7 +45,7 @@
 ?>
     
-    <MovableEntity position="<?lua print(math.random() * 3000-2000) ?>,<?lua print(math.random() * 3000-2000) ?>,<?lua print(math.random() * 3000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0.8 scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
+    <MovableEntity position="<?lua print(math.random() * 3000-2000) ?>,<?lua print(math.random() * 3000-2000) ?>,<?lua print(math.random() * 3000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>"> 
       <attached>
-        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mass=<?lua print(j * 30) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
       </attached>
       <collisionShapes>