Index: /data/media/levels/teambasematchlevel.oxw
===================================================================
--- /data/media/levels/teambasematchlevel.oxw	(revision 5561)
+++ /data/media/levels/teambasematchlevel.oxw	(revision 5562)
@@ -3,4 +3,5 @@
   include("overlay/stats.oxo")
   include("levels/templates/spaceship_assff.oxt")
+  include("levels/templates/spaceship_pirate.oxt")
 ?>
 
@@ -16,6 +17,6 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
 
-    <TeamSpawnPoint team=0 position="500,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <TeamSpawnPoint team=1 position="-500,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=0 position=" 900,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <TeamSpawnPoint team=1 position="-900,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshippirate />
 
     <TeamBaseMatchBase
@@ -35,7 +36,7 @@
       <attached>
         <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
-	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
-	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+        <Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
 for i = 1, 10, 1 
@@ -72,7 +73,7 @@
       <attached>
         <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
-	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
-	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+        <Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
 for i = 1, 10, 1 
@@ -109,7 +110,7 @@
       <attached>
         <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
-	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
-	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+        <Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
 for i = 1, 10, 1 
@@ -145,7 +146,7 @@
       <attached>
         <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
-	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
-	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+        <Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
 for i = 1, 10, 1 
@@ -182,7 +183,7 @@
       <attached>
         <Model scale=10 mesh="DuBall1.mesh" position = "-100,0,0"/>
-	<Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
-        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "-100,0,0"/>
-	<Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.7" position = "100,0,0"/>
+        <Model scale=10 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
+        <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>
 <?lua
 for i = 1, 10, 1 