Index: code/branches/libraries/src/orxonox/objects/Radar.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/Radar.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/Radar.h	(revision 5633)
@@ -42,5 +42,5 @@
 #include "core/ObjectListIterator.h"
 #include "interfaces/RadarViewable.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 
 namespace orxonox
Index: code/branches/libraries/src/orxonox/objects/Scene.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/Scene.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/Scene.h	(revision 5633)
@@ -41,5 +41,5 @@
 #include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 
 namespace orxonox
Index: code/branches/libraries/src/orxonox/objects/Test.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/Test.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/Test.h	(revision 5633)
@@ -33,5 +33,5 @@
 #include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 
 
@@ -50,5 +50,5 @@
       void setConfigValues();
       void registerVariables();
-      
+
       static void call(unsigned int clientID);
       void call2(unsigned int clientID, std::string s1, std::string s2, std::string s3, std::string s4);
@@ -65,5 +65,5 @@
       void checkU3();
       void checkU4();
-      
+
       //signed functions
       void setS1(TYPE value){ s1 = value; }
@@ -75,10 +75,10 @@
       void checkS3();
       void checkS4();
-      
+
       static void printV1(){ instance_->checkU1(); }
       static void printV2(){ instance_->checkU2(); }
       static void printV3(){ instance_->checkU3(); }
       static void printV4(){ instance_->checkU4(); }
-      
+
       void printBlaBla(std::string s1, std::string s2, std::string s3, std::string s4, std::string s5);
 
@@ -88,10 +88,10 @@
       UTYPE u3;
       UTYPE u4;
-      
+
       TYPE s1;
       TYPE s2;
       TYPE s3;
       TYPE s4;
-      
+
       static Test* instance_;
   };
Index: code/branches/libraries/src/orxonox/objects/controllers/AIController.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/controllers/AIController.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/controllers/AIController.h	(revision 5633)
@@ -33,5 +33,5 @@
 
 #include "tools/Timer.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "ArtificialController.h"
 
Index: code/branches/libraries/src/orxonox/objects/controllers/PongAI.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/controllers/PongAI.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/controllers/PongAI.h	(revision 5633)
@@ -34,5 +34,5 @@
 #include <list>
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Controller.h"
 
Index: code/branches/libraries/src/orxonox/objects/controllers/WaypointController.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/controllers/WaypointController.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/controllers/WaypointController.h	(revision 5633)
@@ -33,5 +33,5 @@
 
 #include <vector>
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "ArtificialController.h"
 
Index: code/branches/libraries/src/orxonox/objects/gametypes/Gametype.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/gametypes/Gametype.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/gametypes/Gametype.h	(revision 5633)
@@ -38,5 +38,5 @@
 #include "core/BaseObject.h"
 #include "core/Identifier.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/infos/GametypeInfo.h"
 
@@ -133,5 +133,5 @@
 
             inline  void startTimer()
-            { 
+            {
                 this->time_ = this->timeLimit_;
                 this->timerIsActive_ = true;
Index: code/branches/libraries/src/orxonox/objects/items/Engine.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/items/Engine.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/items/Engine.h	(revision 5633)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Item.h"
 
Index: code/branches/libraries/src/orxonox/objects/pickup/DroppedItem.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/pickup/DroppedItem.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/pickup/DroppedItem.h	(revision 5633)
@@ -38,5 +38,5 @@
 
 #include "tools/Timer.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 
Index: code/branches/libraries/src/orxonox/objects/pickup/PickupSpawner.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/pickup/PickupSpawner.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/pickup/PickupSpawner.h	(revision 5633)
@@ -39,5 +39,5 @@
 #include <string>
 #include "tools/Timer.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 
Index: code/branches/libraries/src/orxonox/objects/worldentities/Backlight.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/worldentities/Backlight.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/worldentities/Backlight.h	(revision 5633)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include "interfaces/TimeFactorListener.h"
+#include "tools/interfaces/TimeFactorListener.h"
 #include "FadingBillboard.h"
 
Index: code/branches/libraries/src/orxonox/objects/worldentities/BlinkingBillboard.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/worldentities/BlinkingBillboard.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/worldentities/BlinkingBillboard.h	(revision 5633)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Billboard.h"
 
Index: code/branches/libraries/src/orxonox/objects/worldentities/Camera.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/worldentities/Camera.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/worldentities/Camera.h	(revision 5633)
@@ -33,5 +33,5 @@
 
 #include "util/OgreForwardRefs.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 
Index: code/branches/libraries/src/orxonox/objects/worldentities/FadingBillboard.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/worldentities/FadingBillboard.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/worldentities/FadingBillboard.h	(revision 5633)
@@ -34,5 +34,5 @@
 #include "util/Math.h"
 #include "tools/Timer.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Billboard.h"
 
Index: code/branches/libraries/src/orxonox/objects/worldentities/ForceField.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/worldentities/ForceField.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/worldentities/ForceField.h	(revision 5633)
@@ -33,5 +33,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "StaticEntity.h"
 
@@ -48,8 +48,8 @@
         inline void setVelocity(float vel)
             { this->velocity_ = vel; }
-    
+
         inline float getVelocity()
             { return velocity_; }
-    
+
         inline void setDiameter(float diam)
             { this->diameter_ = diam; }
@@ -57,5 +57,5 @@
         inline float getDiameter()
             { return diameter_; }
- 
+
         inline void setLength(float l)
             { this->length_ = l; }
Index: code/branches/libraries/src/orxonox/objects/worldentities/MobileEntity.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/worldentities/MobileEntity.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/worldentities/MobileEntity.h	(revision 5633)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "WorldEntity.h"
 
Index: code/branches/libraries/src/orxonox/objects/worldentities/triggers/Trigger.h
===================================================================
--- code/branches/libraries/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 5621)
+++ code/branches/libraries/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 5633)
@@ -36,5 +36,5 @@
 
 #include "tools/BillboardSet.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 