Index: code/branches/resource2/data/gui/layouts/MainMenu.layout
===================================================================
--- code/branches/resource2/data/gui/layouts/MainMenu.layout	(revision 5646)
+++ code/branches/resource2/data/gui/layouts/MainMenu.layout	(revision 5661)
@@ -11,8 +11,14 @@
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
             <Property Name="Text" Value="Standalone"/>
-            <Event Name="Clicked" Function="button_standalone_clicked"/>
+            <Property Name="Disabled" Value="true"/>
+            <Event Name="Clicked" Function="MainMenu.button_standalone_clicked"/>
         </Window>
         
         <Window Type="TaharezLook/Listbox" Name="orxonox/LevelListbox">
+            <Property Name="UnifiedPosition" Value="{{0.4,0},{0.3,0}}"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedSize" Value="{{0.35,0},{0.33,0}}" />
+            <Property Name="Tooltip" Value="Available Levels." />
+            <Event Name="ItemSelectionChanged" Function="MainMenu.listbox_level_selectionchanged" />
         </Window>
         
@@ -21,5 +27,5 @@
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
             <Property Name="Text" Value="Dedicated"/>
-            <Event Name="Clicked" Function="button_dedicated_clicked"/>
+            <Event Name="Clicked" Function="MainMenu.button_dedicated_clicked"/>
         </Window>
         
@@ -28,5 +34,5 @@
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
             <Property Name="Text" Value="Server"/>
-            <Event Name="Clicked" Function="button_server_clicked"/>
+            <Event Name="Clicked" Function="MainMenu.button_server_clicked"/>
         </Window>
         
@@ -35,5 +41,5 @@
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
             <Property Name="Text" Value="Client"/>
-            <Event Name="Clicked" Function="button_client_clicked"/>
+            <Event Name="Clicked" Function="MainMenu.button_client_clicked"/>
         </Window>
         
@@ -42,5 +48,5 @@
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
             <Property Name="Text" Value="Quit"/>
-            <Event Name="Clicked" Function="button_quit_clicked"/>
+            <Event Name="Clicked" Function="MainMenu.button_quit_clicked"/>
         </Window>
     </Window>
Index: code/branches/resource2/data/gui/layouts/MainMenu_2.layout
===================================================================
--- code/branches/resource2/data/gui/layouts/MainMenu_2.layout	(revision 5646)
+++ 	(revision )
@@ -1,53 +1,0 @@
-<?xml version="1.0" ?>
-<GUILayout>
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/Background">
-    <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
-    <Property Name="Image" Value="set:MainMenuBackground image:Background"/>
-    <Property Name="FrameEnabled" Value="set:true"/>
-    <Property Name="BackgroundEnabled" Value="set:false"/>
- 
-        <Window Type="TaharezLook/Button" Name="orxonox/StandaloneButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.3,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Standalone"/>
-            <Property Name="Disabled" Value="true"/>
-            <Event Name="Clicked" Function="mainmenu_2.button_standalone_clicked"/>
-        </Window>
-        
-        <Window Type="TaharezLook/Listbox" Name="orxonox/LevelListbox">
-            <Property Name="UnifiedPosition" Value="{{0.4,0},{0.3,0}}"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedSize" Value="{{0.35,0},{0.33,0}}" />
-            <Property Name="Tooltip" Value="Available Levels." />
-            <Event Name="ItemSelectionChanged" Function="mainmenu_2.listbox_level_selectionchanged" />
-        </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/DedicatedButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.376,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Dedicated"/>
-            <Event Name="Clicked" Function="mainmenu_2.button_dedicated_clicked"/>
-        </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/ServerButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.452,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Server"/>
-            <Event Name="Clicked" Function="mainmenu_2.button_server_clicked"/>
-        </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/ClientButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.528,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Client"/>
-            <Event Name="Clicked" Function="mainmenu_2.button_client_clicked"/>
-        </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/QuitButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.604,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Quit"/>
-            <Event Name="Clicked" Function="mainmenu_2.button_quit_clicked"/>
-        </Window>
-    </Window>
-</GUILayout>