Index: data/trunk/AUTHORS
===================================================================
--- data/trunk/AUTHORS	(revision 5718)
+++ data/trunk/AUTHORS	(revision 5718)
@@ -0,0 +1,420 @@
+Here we list the authors of all the media files in this repository. All files are released under the CC by-sa license which can be found in the LICENSE file in this directory, unless otherwise specified.
+
+File                                                        Author
+audio/ambient/allgorythm-lift_up.ogg                        All-Go-Rhythm - Thierry Zaugg (www.bediff.com)
+audio/ambient/allgorythm-resonance_blaster.ogg              All-Go-Rhythm - Thierry Zaugg (www.bediff.com)
+audio/ambient/luke_grey_-_hypermode.ogg                     Lukas Grauer
+audio/ambient/mainmenu.wav                                  Raphaël Jecker
+audio/ambient/task_horizon_-_menu1.ogg                      unknown
+audio/ambient/tha_silent_partner_-_void.ogg                 unknown
+audio/sounds/laser1.wav                                     unknown
+defaultConfigs/keybindings.ini                              Reto Grieder
+defaultConfigs/masterKeybingings.ini                        Reto Grieder
+fonts/bluebold.ttf                                          unknown
+fonts/bluecond.ttf                                          unknown
+fonts/bluehigh.ttf                                          unknown
+fonts/console.fontdef                                       unknown
+fonts/LiberationMono.fontdef                                unknown
+fonts/LiberationMono.ttf                                    unknown
+fonts/Monofur.fontdef                                       unknown
+fonts/Monofur.ttf                                           unknown
+fonts/MonoSpatial.fontdef                                   unknown
+fonts/ShareTechMono.fontdef                                 unknown
+fonts/MonoSpatial.ttf                                       unknown
+fonts/read_me.html                                          unknown
+fonts/sample.fontdef                                        unknown
+fonts/SaxMono.fontdef                                       unknown
+fonts/SaxMono.ttf                                           unknown
+fonts/Selectric.fontdef                                     unknown
+fonts/Selectric.ttf                                         unknown
+fonts/ShareTechMono.ttf                                     unknown
+fonts/solo5.ttf                                             unknown
+fonts/Tt-Kp.fontdef                                         unknown
+fonts/Tt-Kp.ttf                                             unknown
+fonts/typewriter.ttf                                        unknown
+fonts/VeraMono.fontdef                                      unknown
+fonts/VeraMono.ttf                                          unknown
+gui/configs/CEGUIConfig.xsd                                 unknown
+gui/configs/Falagard.xsd                                    unknown
+gui/configs/Font.xsd                                        unknown
+gui/configs/GUIScheme.xsd                                   Benjamin Knecht
+gui/configs/GUILayout.xsd                                   unknown
+gui/configs/Imageset.xsd                                    unknown
+gui/fonts/bluehigh.ttf                                      http://www.iconian.com/
+gui/fonts/bluehighway-10.font                               http://www.iconian.com/
+gui/fonts/bluehighway-12.font                               http://www.iconian.com/
+gui/fonts/bluehighway-8.font                                http://www.iconian.com/
+gui/fonts/common.txt                                        http://www.iconian.com/
+gui/fonts/Commonv2c.ttf                                     http://www.iconian.com/
+gui/fonts/Commonwealth-10.font                              http://www.iconian.com/
+gui/fonts/DejaVuSans-10.font                                http://www.iconian.com/
+gui/fonts/DejaVuSans.ttf                                    http://www.iconian.com/
+gui/fonts/FairChar-30.font                                  http://www.iconian.com/
+gui/fonts/fkp-16.font                                       http://www.iconian.com/
+gui/fonts/fkp.de.pcf                                        http://www.iconian.com/
+gui/fonts/Font.xsd                                          http://www.iconian.com/
+gui/fonts/Iconified-12.font                                 http://www.iconian.com/
+gui/fonts/Iconiv2.ttf                                       http://www.iconian.com/
+gui/fonts/icon.txt                                          Daniel Zadorozny - http://www.iconian.com/
+gui/fonts/Legal.txt                                         Andrew Zabolotny
+gui/fonts/README                                            http://www.iconian.com/
+gui/imagesets/DriveIcons.imageset                           unknown
+gui/imagesets/DriveIcons.png                                unknown
+gui/imagesets/FairChar.imageset                             unknown
+gui/imagesets/FairChar.tga                                  unknown
+gui/imagesets/GPN-2000-001437.tga                           GRIN (http://grin.hq.nasa.gov/)
+gui/imagesets/Imageset.xsd                                  unknown
+gui/imagesets/MainMenuBackground.imageset                   Benjamin Knecht
+gui/imagesets/TaharezLook.imageset                          unknown
+gui/imagesets/TaharezLook.tga                               Lars "Taharez" Rinde
+gui/imagesets/Vanilla.imageset                              unknown
+gui/imagesets/vanilla.tga                                   Shane Parker
+gui/imagesets/WindowsLook.imageset                          unknown
+gui/imagesets/WindowsLook.tga                               Paul "CrazyEddie" Turner
+gui/layouts/cegui8.layout                                   unknown
+gui/layouts/CompositorDemo.layout                           unknown
+gui/layouts/Console.wnd                                     unknown
+gui/layouts/CrowdDemo.layout                                unknown
+gui/layouts/Demo7Windows.layout                             unknown
+gui/layouts/Demo8.layout                                    unknown
+gui/layouts/DragDropDemo.layout                             unknown
+gui/layouts/facial.layout                                   unknown
+gui/layouts/FontDemo.layout                                 unknown
+gui/layouts/GUILayout.xsd                                   unknown
+gui/layouts/InGameTest.layout                               Benjamin Knecht
+gui/layouts/InstancingDemo.layout                           unknown
+gui/layouts/MainMenu_2.layout                               Benjamin Knecht
+gui/layouts/MainMenu.layout                                 Reto Grieder
+gui/layouts/ogregui.layout                                  unknown
+gui/layouts/PickupInventory.layout                          Daniel 'Huty' Haggenmüller
+gui/layouts/shadows.layout                                  unknown
+gui/layouts/TabControlDemo.layout                           unknown
+gui/layouts/TabPage1.layout                                 unknown
+gui/layouts/TabPage2.layout                                 unknown
+gui/layouts/TabPage.layout                                  unknown
+gui/layouts/TextDemo.layout                                 unknown
+gui/layouts/TreeDemoTaharez.layout                          unknown
+gui/layouts/VanillaConsole.layout                           unknown
+gui/layouts/VanillaWindows.layout                           unknown
+gui/looknfeel/Falagard.xsd                                  unknown
+gui/looknfeel/TaharezLook.looknfeel                         unknown
+gui/looknfeel/Vanilla.looknfeel                             unknown
+gui/looknfeel/WindowsLook.looknfeel                         unknown
+gui/schemes/Demo8.scheme                                    unknown
+gui/schemes/GUIScheme.xsd                                   unknown
+gui/schemes/OrxonoxGUIScheme.scheme                         Benjamin Knecht
+gui/schemes/TaharezLook.scheme                              unknown
+gui/schemes/TaharezLookSkin.scheme                          unknown
+gui/schemes/TaharezLookWidgetAliases.scheme                 unknown
+gui/schemes/TaharezLookWidgets.scheme                       unknown
+gui/schemes/VanillaSkin.scheme                              unknown
+gui/schemes/WindowsLook.scheme                              unknown
+gui/schemes/WindowsLookWidgets.scheme                       unknown
+gui/scripts/demo8.lua                                       unknown
+gui/scripts/gui.lua                                         unknown
+gui/scripts/IConsole.lua                                    unknown
+gui/scripts/inGameTest.lua                                  Benjamin Knecht
+gui/scripts/InstancedInit.lua                               unknown
+gui/scripts/loadGUI_2.lua                                   Benjamin Knecht
+gui/scripts/loadGUI_3.lua                                   Benjamin Knecht
+gui/scripts/loadGUI.lua                                     Reto Grieder, Benjamin Knecht
+gui/scripts/mainmenu_2.lua                                  Benjamin Knecht
+gui/scripts/mainmenu.lua                                    Reto Grieder
+gui/scripts/PickupInventory.lua                             Daniel 'Huty' Haggenmüller
+levels/empty_level.oxw                                      Felix Schulthess, Fabian 'x3n' Landau
+levels/gametype_asteroids.oxw                               Aurelian Jaggi
+levels/gametype_underattack.oxw                             Matthias Mock
+levels/pickuptest.oxw                                       Daniel 'Huty' Haggenmüller
+levels/presentation09b.oxw                                  Fabian 'x3n' Landau, Benjamin Knecht
+levels/presentation09.oxw                                   Benjamin Knecht
+levels/presentation_dm.oxw                                  Fabian 'x3n' Landau
+levels/presentation.oxw                                     Reto Grieder, Fabian 'x3n' Landau
+levels/presentation_pong.oxw                                Fabian 'x3n' Landau
+levels/teambasematchlevel.oxw                               Val Mikos
+levels/teamdeatchmatch.oxw                                  Fabian 'x3n' Landau
+levels/tutorial.oxw                                         Fabian 'x3n' Landau
+levels/waypoints.oxw                                        Fabian 'x3n' Landau
+levels/includes/CuboidSpaceStation.lua                      Mirko Kaiser
+levels/includes/weaponsettings1.oxi                         Fabian 'x3n' Landau
+levels/includes/weaponsettings2.oxi                         Fabian 'x3n' Landau
+levels/includes/weaponsettings3.oxi                         Joël Smely, Fabian 'x3n' Landau, Oli Scheuss
+levels/includes/weaponsettings_H2.oxi                       Fabian 'x3n' Landau
+levels/includes/weaponsettings_pirate.oxi                   Fabian 'x3n' Landau
+levels/old/CuboidSpaceStation.oxw                           Mirko Kaiser
+levels/old/physicstest2.oxw                                 Reto Grieder
+levels/old/physicstest.oxw                                  Reto Grider, Martin Stypinski
+levels/old/planettest.oxw                                   Felix Schulthess
+levels/old/presentation_physics.oxw                         Reto Grider, Fabian 'x3n' Landau
+levels/old/princessaeryn.oxw                                Damian Frick
+levels/old/questsystem.oxw                                  Damian Frick
+levels/old/sample4.oxw                                      Martin Polak, Fabian 'x3n' Landau
+levels/old/spaceshiptemplates_physics.oxw                   Reto Grieder
+levels/old/tutorial_hs08.oxw                                Reto Grieder
+levels/templates/spaceship_assff.oxt                        Fabian 'x3n' Landau
+levels/templates/spaceship_H2.oxt                           Fabian 'x3n' Landau
+levels/templates/spaceship_pirate.oxt                       Fabian 'x3n' Landau
+materials/programs/AmbientOneTexture.glsl                   unknown
+materials/programs/Blur0_ps20.hlsl                          unknown                    
+materials/programs/Blur0_vs11.hlsl                          unknown
+materials/programs/Blur0_vs.glsl                            unknown
+materials/programs/Blur1_ps20.hlsl                          unknown
+materials/programs/Blur1_vs11.hlsl                          unknown
+materials/programs/Blur1_vs.glsl                            unknown
+materials/programs/Blur_ps.glsl                             unknown
+materials/programs/BumpMapping.cg                           unknown
+materials/programs/Combine_fp.cg                            unknown
+materials/programs/Example_Basic.cg                         unknown
+materials/programs/Example_Basic.hlsl                       unknown
+materials/programs/GlassFP.cg                               unknown
+materials/programs/Grass.cg                                 unknown
+materials/programs/GrayScale.cg                             unknown
+materials/programs/hdr_bloom.glsl                           unknown
+materials/programs/hdr.cg                                   unknown
+materials/programs/hdr_downscale2x2luminence.glsl           unknown
+materials/programs/hdr_downscale3x3brightpass.glsl          unknown
+materials/programs/hdr_downscale3x3.glsl                    unknown
+materials/programs/hdr_finalToneMapping.glsl                unknown
+materials/programs/hdr.hlsl                                 unknown
+materials/programs/hdr_tonemap_util.glsl                    unknown
+materials/programs/InvertFP.cg                              unknown
+materials/programs/LaplaceFP.cg                             unknown
+materials/programs/OldMovieFP.cg                            unknown
+materials/programs/OldTV.cg                                 unknown
+materials/programs/PosterizeFP.cg                           unknown
+materials/programs/Radial_Blur_FP.cg                        unknown
+materials/programs/SharpenEdgesFP.cg                        unknown
+materials/programs/skinningTwoWeightsShadowCasterVp.glsl    unknown
+materials/programs/skinningTwoWeightsVp.glsl                unknown
+materials/programs/StdQuad_vp.cg                            unknown
+materials/programs/StdQuad_vp.glsl                          unknown
+materials/programs/TilingFP.cg                              unknown
+materials/programs/ToonShaderPS.cg                          Stefan Lienhard
+materials/programs/ToonShader_ps.frag                       Stefan Lienhard
+materials/programs/ToonShader_vs.vert                       Stefan Lienhard
+materials/scripts/assf5.material                            Nicolas Schlumberger 
+materials/scripts/assff.material                            Felix Schulthess
+materials/scripts/assf.material                             Nicolas Schlumberger
+materials/scripts/asteroids.material                        Felix Schulthess
+materials/scripts/axes.material                             Felix Schulthess
+materials/scripts/BlackAndWhite.material                    unknown
+materials/scripts/Bloom.material                            unknown
+materials/scripts/Bump_Specular.material                    Janis Edelmann
+materials/scripts/can.material                              Hagen Seifert
+materials/scripts/Carrier.material                          Felix Schulthess
+materials/scripts/Cone.material                             Felix Schulthess
+materials/scripts/Console.material                          Felix Schulthess
+materials/scripts/crate.material                            unknown
+materials/scripts/cube.material                             Felix Schulthess
+materials/scripts/CuboidSpaceStation.material               Mirko Kaiser
+materials/scripts/drone.material                            Janis Edelmann
+materials/scripts/DuBall.material                           Rocco Bottani, Massimo Maffioli
+materials/scripts/earth.material                            Marian Runo
+materials/scripts/Embossed.material                         unknown
+materials/scripts/Example.material                          unknown
+materials/scripts/Examples.compositor                       unknown
+materials/scripts/Examples.program                          unknown
+materials/scripts/Flares.material                           unknown
+materials/scripts/Glass.material                            unknown
+materials/scripts/h2_green.material                         David Gassner
+materials/scripts/hdr.material                              unknown
+materials/scripts/hoover.material                           unknown
+materials/scripts/hs-w01.material                           Hagen Seifert
+materials/scripts/hs-w01s.material                          Hagen Seifert
+materials/scripts/iceplanet.material                        Marian Runo
+materials/scripts/Invert.material                           unknown
+materials/scripts/jumpthrust.material                       Felix Schulthess
+materials/scripts/Laplace.material                          unknown
+materials/scripts/laserbeam.material                        Hagen Seifert
+materials/scripts/LightningGun.material                     Joël Smely
+materials/scripts/LightningGun-s.material                   Joël Smely
+materials/scripts/LightningGun-s.tga                        Joël Smely
+materials/scripts/Map.material                              Si Sun
+materials/scripts/MotionBlur.compositor                     unknown
+materials/scripts/MotionBlur.material                       unknown
+materials/scripts/Ogre.material                             unknown
+materials/scripts/OldMovie.material                         unknown
+materials/scripts/OldTV.material                            unknown
+materials/scripts/Orxonox.material                          Felix Schulthess
+materials/scripts/OrxonoxSky.material                       Felix Schulthess
+materials/scripts/PE_materials.material                     unknown
+materials/scripts/pirate.material                           Felix Schulthess
+materials/scripts/plane.material                            Reto Grieder
+materials/scripts/planet.material                           Felix Schulthess
+materials/scripts/Posterize.material                        unknown
+materials/scripts/RadialBlur.material                       unknown
+materials/scripts/rock.material                             Janis Edelmann
+materials/scripts/satellite.material                        Felix Schulthess
+materials/scripts/Shaders.compositor                        unknown
+materials/scripts/SharpenEdges.material                     unknown
+materials/scripts/spacecruiser_16.material                  Felix Schulthess
+materials/scripts/spacecruiser.material                     Tim Widmer
+materials/scripts/sphere.material                           Felix Schulthess
+materials/scripts/starship.material                         unknown
+materials/scripts/Stats.material                            Benjamin Hildebrandt
+materials/scripts/StdQuad_vp.program                        unknown
+materials/scripts/Tiling.material                           unknown
+materials/scripts/tomato.material                           Felix Schulthess
+materials/scripts/ToonShader.material                       Stefan Lienhard
+materials/scripts/Trail.material                            Fabian 'x3n' Landau
+materials/scripts/Transparency.material                     unknown
+materials/scripts/UEATransporter036.material                Axel Bomhauer-Beins
+materials/scripts/wrench.material                           Benjamin Knecht
+materials/textures/arrows.tga                    
+materials/textures/assff.JPG                     
+materials/textures/atmosphere.png                
+materials/textures/atmospheretype1.tga           
+materials/textures/atmospheretype2.tga           
+materials/textures/atmospheretype3.tga                   
+materials/textures/atmospheretype4.tga           
+materials/textures/atmospheretype5.tga           
+materials/textures/babel-base2.jpg               
+materials/textures/babel-trim3b.jpg              
+materials/textures/babel-wall1a.jpg              
+materials/textures/babel-wall1b.jpg              
+materials/textures/babel-wall6a.jpg              
+materials/textures/babel-wall6b.jpg              
+materials/textures/backGround.tga                
+materials/textures/backlightflare.tga            
+materials/textures/backlighttrail.tga            
+materials/textures/bar1.tga                      
+materials/textures/bar2a.tga                     
+materials/textures/bar2b.tga                     
+materials/textures/bar2c.tga                     
+materials/textures/bar2.tga                      
+materials/textures/bigflame.tga                  
+materials/textures/bigflare1.tga                 
+materials/textures/can.tga                       
+materials/textures/CockpitGlass.jpg              
+materials/textures/CockpitNose.jpg               
+materials/textures/CockpitSide.png               
+materials/textures/console2.tga                  
+materials/textures/console3.tga                  
+materials/textures/console4.tga                  
+materials/textures/console5.tga                  
+materials/textures/crate.tga                     
+materials/textures/crosshair2.tga                
+materials/textures/crosshair.tga                 
+materials/textures/CuboidConnectionBodySide.jpg  
+materials/textures/CuboidConnectionBodyTop.jpg   
+materials/textures/cursor_console.tga            
+materials/textures/cursor.tga                    
+materials/textures/decal.jpg                     
+materials/textures/dirt01.jpg              
+materials/textures/Dirt.jpg                
+materials/textures/dish.jpg                
+materials/textures/drone.tga               
+materials/textures/DuBall1.jpg             
+materials/textures/DuBall2.jpg             
+materials/textures/explosion3.tga          
+materials/textures/explosion.tga           
+materials/textures/final_gold.tga          
+materials/textures/flare2_1.tga            
+materials/textures/flare2.tga              
+materials/textures/flare.tga               
+materials/textures/flaretrail.tga          
+materials/textures/glass01.jpg             
+materials/textures/glass02.jpg             
+materials/textures/GLX_icon.png            
+materials/textures/GLX_icon.tga            
+materials/textures/goldwrenchpickup.jpg    
+materials/textures/GreenSkin.jpg           
+materials/textures/healthbar_bar.tga       
+materials/textures/healthbar_bg.tga        
+materials/textures/hs-w01s.tga             
+materials/textures/hs-w01.tga              
+materials/textures/iceplanet.tga           
+materials/textures/io.jpg                  
+materials/textures/jumpturbinepickup.jpg   
+materials/textures/jupiter.jpg             
+materials/textures/jupiter.tga             
+materials/textures/laserbeam.tga           
+materials/textures/LightningBall_1.tga     
+materials/textures/LightningBall_2.tga     
+materials/textures/LightningBall_3.tga     
+materials/textures/LightningBall_4.tga     
+materials/textures/LightningBall_5.tga     
+materials/textures/LightningBall_6.tga     
+materials/textures/LightningBall_7.tga     
+materials/textures/LightningBall_8.tga     
+materials/textures/Lightning_gun4.tga      
+materials/textures/Lightning_gun_pic2.tga  
+materials/textures/LightningGun.tga        
+materials/textures/main_menu_1.jpg         
+materials/textures/mapgrid.tga             
+materials/textures/MetalEdge.jpg           
+materials/textures/ogrelogo-small.jpg      
+materials/textures/ogrelogo.tga            
+materials/textures/OrxonoxBlack.tga
+materials/textures/OrxonoxGREEN.tga        
+materials/textures/orxonox_logo.svg        
+materials/textures/OrxonoxORANGE.tga       
+materials/textures/OrxonoxRED.tga          
+materials/textures/OrxonoxYELLOW.tga       
+materials/textures/pirate.jpg              
+materials/textures/planet.jpg              
+materials/textures/RadarDot.tga            
+materials/textures/RadarSquare.tga         
+materials/textures/radar.tga               
+materials/textures/RadarTriangle.tga       
+materials/textures/ring_flare2.tga         
+materials/textures/ring_flare.tga          
+materials/textures/rock.tga                
+materials/textures/rust.tga                
+materials/textures/RustySteel.jpg          
+materials/textures/sample_loading.jpg      
+materials/textures/Sepia1D.tga             
+materials/textures/sewer_001.png           
+materials/textures/skypanoramagen1_bk.jpg  
+materials/textures/skypanoramagen1_dn.jpg  
+materials/textures/skypanoramagen1_fr.jpg  
+materials/textures/skypanoramagen1_lf.jpg  
+materials/textures/skypanoramagen1_rt.jpg  
+materials/textures/skypanoramagen1_up.jpg  
+materials/textures/skypanoramagen2_bk.jpg  
+materials/textures/skypanoramagen2_dn.jpg  
+materials/textures/skypanoramagen2_fr.jpg  
+materials/textures/skypanoramagen2_lf.jpg  
+materials/textures/skypanoramagen2_rt.jpg  
+materials/textures/skypanoramagen2_up.jpg  
+materials/textures/sl_floor01.jpg          
+materials/textures/sl_floor02.jpg          
+materials/textures/sl_floor03.jpg          
+materials/textures/sl_foil.jpg
+materials/textures/sl_hull01.jpg
+materials/textures/sl_hull02.jpg
+materials/textures/sl_hull03.jpg
+materials/textures/sl_hull04.jpg
+materials/textures/sl_metal02.jpg
+materials/textures/sl_metal03.jpg
+materials/textures/sl_metal04.jpg
+materials/textures/sl_metal05.jpg
+materials/textures/sl_metal06.jpg
+materials/textures/sl_metal07.jpg
+materials/textures/sl_metal.jpg
+materials/textures/sl_organic01.jpg
+materials/textures/sl_organic02.jpg
+materials/textures/sl_organic03.jpg
+materials/textures/sl_organic04.jpg
+materials/textures/sl_panel.jpg
+materials/textures/smoke2.tga
+materials/textures/smoke3.tga
+materials/textures/smokecolors.tga
+materials/textures/smoke.tga
+materials/textures/snowyWhite.jpg
+materials/textures/spacecruiser_16.jpg
+materials/textures/SpaceShipTransporter036_engine.jpg
+materials/textures/SpaceShipTransporter036_newtexture.jpg   
+materials/textures/spacesruiser.tga
+materials/textures/starbox_bk.jpg
+materials/textures/starbox_dn.jpg
+materials/textures/starbox_fr.jpg
+materials/textures/starbox_lf.jpg
+materials/textures/starbox_rt.jpg
+materials/textures/starbox_up.jpg
+materials/textures/starship.tga
+materials/textures/streak.tga
+materials/textures/tdc.tga
+materials/textures/thrust.jpg
+materials/textures/tiled_floor.jpg
+materials/textures/wall01.jpg
+materials/textures/white.tga
Index: data/trunk/LICENSE
===================================================================
--- data/trunk/LICENSE	(revision 5718)
+++ data/trunk/LICENSE	(revision 5718)
@@ -0,0 +1,64 @@
+All data is released under the following licensed unless otherwise stated.
+
+
+License
+
+THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE ("CCPL" OR "LICENSE"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.
+
+BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.
+
+1. Definitions
+
+   a. "Adaptation" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image ("synching") will be considered an Adaptation for the purpose of this License.
+   b. "Collection" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined below) for the purposes of this License.
+   c. "Creative Commons Compatible License" means a license that is listed at http://creativecommons.org/compatiblelicenses that has been approved by Creative Commons as being essentially equivalent to this License, including, at a minimum, because that license: (i) contains terms that have the same purpose, meaning and effect as the License Elements of this License; and, (ii) explicitly permits the relicensing of adaptations of works made available under that license under this License or a Creative Commons jurisdiction license with the same License Elements as this License.
+   d. "Distribute" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.
+   e. "License Elements" means the following high-level license attributes as selected by Licensor and indicated in the title of this License: Attribution, ShareAlike.
+   f. "Licensor" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.
+   g. "Original Author" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.
+   h. "Work" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.
+   i. "You" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.
+   j. "Publicly Perform" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.
+   k. "Reproduce" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.
+
+2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.
+
+3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:
+
+   a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;
+   b. to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked "The original work was translated from English to Spanish," or a modification could indicate "The original work has been modified.";
+   c. to Distribute and Publicly Perform the Work including as incorporated in Collections; and,
+   d. to Distribute and Publicly Perform Adaptations.
+   e. For the avoidance of doubt:
+         i.   Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;
+         ii.  Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,
+         iii. Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.
+
+The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.
+
+4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:
+
+   a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(c), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(c), as requested.
+   b. You may Distribute or Publicly Perform an Adaptation only under the terms of: (i) this License; (ii) a later version of this License with the same License Elements as this License; (iii) a Creative Commons jurisdiction license (either this or a later license version) that contains the same License Elements as this License (e.g., Attribution-ShareAlike 3.0 US)); (iv) a Creative Commons Compatible License. If you license the Adaptation under one of the licenses mentioned in (iv), you must comply with the terms of that license. If you license the Adaptation under the terms of any of the licenses mentioned in (i), (ii) or (iii) (the "Applicable License"), you must comply with the terms of the Applicable License generally and the following provisions: (I) You must include a copy of, or the URI for, the Applicable License with every copy of each Adaptation You Distribute or Publicly Perform; (II) You may not offer or impose any terms on the Adaptation that restrict the terms of the Applicable License or the ability of the recipient of the Adaptation to exercise the rights granted to that recipient under the terms of the Applicable License; (III) You must keep intact all notices that refer to the Applicable License and to the disclaimer of warranties with every copy of the Work as included in the Adaptation You Distribute or Publicly Perform; (IV) when You Distribute or Publicly Perform the Adaptation, You may not impose any effective technological measures on the Adaptation that restrict the ability of a recipient of the Adaptation from You to exercise the rights granted to that recipient under the terms of the Applicable License. This Section 4(b) applies to the Adaptation as incorporated in a Collection, but this does not require the Collection apart from the Adaptation itself to be made subject to the terms of the Applicable License.
+   c. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution ("Attribution Parties") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and (iv) , consistent with Ssection 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., "French translation of the Work by Original Author," or "Screenplay based on original Work by Original Author"). The credit required by this Section 4(c) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.
+   d. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.
+
+5. Representations, Warranties and Disclaimer
+
+UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.
+
+6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
+
+7. Termination
+
+   a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.
+   b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.
+
+8. Miscellaneous
+
+   a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.
+   b. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.
+   c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.
+   d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.
+   e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.
+   f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.