Index: code/branches/libraries2/src/orxonox/worldentities/Backlight.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/Backlight.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/Backlight.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/BigExplosion.cc	(revision 5735)
@@ -37,6 +37,6 @@
 #include "core/GameMode.h"
 #include "tools/ParticleInterface.h"
-#include "objects/Scene.h"
-#include "objects/worldentities/ParticleSpawner.h"
+#include "Scene.h"
+#include "worldentities/ParticleSpawner.h"
 #include "Model.h"
 
Index: code/branches/libraries2/src/orxonox/worldentities/Billboard.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/Billboard.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/Billboard.cc	(revision 5735)
@@ -32,5 +32,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
@@ -111,5 +111,5 @@
             this->billboard_.setColour(this->colour_);
     }
-    
+
 /*
     void Billboard::changedRotation()
Index: code/branches/libraries2/src/orxonox/worldentities/Camera.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/Camera.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/Camera.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 #include "CameraManager.h"
 
Index: code/branches/libraries2/src/orxonox/worldentities/Camera.h
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/Camera.h	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/Camera.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include "util/OgreForwardRefs.h"
 #include "tools/interfaces/Tickable.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/CameraPosition.h
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/CameraPosition.h	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/CameraPosition.h	(revision 5735)
@@ -31,5 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/ControllableEntity.cc	(revision 5735)
@@ -37,9 +37,9 @@
 #include "core/XMLPort.h"
 
-#include "objects/Scene.h"
-#include "objects/infos/PlayerInfo.h"
-#include "objects/controllers/Controller.h"
-#include "objects/worldentities/Camera.h"
-#include "objects/worldentities/CameraPosition.h"
+#include "Scene.h"
+#include "infos/PlayerInfo.h"
+#include "controllers/Controller.h"
+#include "worldentities/Camera.h"
+#include "worldentities/CameraPosition.h"
 #include "overlays/OverlayGroup.h"
 
@@ -383,5 +383,5 @@
         registerVariable(this->client_orientation_,      VariableDirection::ToServer, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientOrientation));
         registerVariable(this->client_angular_velocity_, VariableDirection::ToServer, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::processClientAngularVelocity));
-        
+
 
         registerVariable(this->playerID_,                VariableDirection::ToClient, new NetworkCallback<ControllableEntity>(this, &ControllableEntity::networkcallback_changedplayerID));
Index: code/branches/libraries2/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/ExplosionChunk.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "core/GameMode.h"
 #include "util/Exception.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 #include "tools/ParticleInterface.h"
 
Index: code/branches/libraries2/src/orxonox/worldentities/Light.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/Light.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/Light.cc	(revision 5735)
@@ -38,5 +38,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/MobileEntity.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/MobileEntity.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/MobileEntity.cc	(revision 5735)
@@ -34,5 +34,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/Model.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/Model.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/Model.cc	(revision 5735)
@@ -34,5 +34,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/MovableEntity.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/MovableEntity.cc	(revision 5735)
@@ -34,5 +34,5 @@
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/ParticleEmitter.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/ParticleEmitter.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/ParticleEmitter.cc	(revision 5735)
@@ -39,5 +39,5 @@
 #include "core/XMLPort.h"
 #include "tools/ParticleInterface.h"
-#include "objects/Scene.h"
+#include "Scene.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.cc	(revision 5735)
@@ -32,6 +32,6 @@
 #include "core/Template.h"
 #include "core/XMLPort.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/worldentities/pawns/Pawn.h"
+#include "gametypes/Gametype.h"
+#include "worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.h
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.h	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/SpawnPoint.h	(revision 5735)
@@ -34,5 +34,5 @@
 #include <string>
 #include "core/Identifier.h"
-#include "objects/worldentities/StaticEntity.h"
+#include "worldentities/StaticEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/TeamSpawnPoint.h
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 5735)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "objects/worldentities/pawns/Pawn.h"
+#include "worldentities/pawns/Pawn.h"
 #include "SpawnPoint.h"
 
Index: code/branches/libraries2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/WorldEntity.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/WorldEntity.cc	(revision 5735)
@@ -44,6 +44,6 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "objects/Scene.h"
-#include "objects/collisionshapes/WorldEntityCollisionShape.h"
+#include "Scene.h"
+#include "collisionshapes/WorldEntityCollisionShape.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/Destroyer.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 5735)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "objects/gametypes/UnderAttack.h"
+#include "gametypes/UnderAttack.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 5735)
@@ -38,13 +38,13 @@
 #include "interfaces/PawnListener.h"
 #include "PawnManager.h"
-#include "objects/infos/PlayerInfo.h"
-#include "objects/gametypes/Gametype.h"
-#include "objects/worldentities/ParticleSpawner.h"
-#include "objects/worldentities/ExplosionChunk.h"
-#include "objects/worldentities/BigExplosion.h"
-#include "objects/weaponsystem/WeaponSystem.h"
-#include "objects/weaponsystem/WeaponSlot.h"
-#include "objects/weaponsystem/WeaponPack.h"
-#include "objects/weaponsystem/WeaponSet.h"
+#include "infos/PlayerInfo.h"
+#include "gametypes/Gametype.h"
+#include "worldentities/ParticleSpawner.h"
+#include "worldentities/ExplosionChunk.h"
+#include "worldentities/BigExplosion.h"
+#include "weaponsystem/WeaponSystem.h"
+#include "weaponsystem/WeaponSlot.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSet.h"
 
 
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.h	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/Pawn.h	(revision 5735)
@@ -34,6 +34,6 @@
 #include <string>
 #include "interfaces/RadarViewable.h"
-#include "objects/worldentities/ControllableEntity.h"
-#include "objects/pickup/PickupCollection.h"
+#include "worldentities/ControllableEntity.h"
+#include "pickup/PickupCollection.h"
 
 namespace orxonox
@@ -114,5 +114,5 @@
             virtual void useItem()
                 { this->pickups_.useItem(); }
-            
+
             virtual void startLocalHumanControl();
 
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 5735)
@@ -35,5 +35,5 @@
 #include "core/Template.h"
 #include "core/XMLPort.h"
-#include "objects/items/Engine.h"
+#include "items/Engine.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.cc	(revision 5735)
@@ -34,6 +34,6 @@
 
 #include "tools/BillboardSet.h"
-#include "objects/Scene.h"
-#include "objects/infos/PlayerInfo.h"
+#include "Scene.h"
+#include "infos/PlayerInfo.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.h
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.h	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/Spectator.h	(revision 5735)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "objects/worldentities/ControllableEntity.h"
+#include "worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: code/branches/libraries2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- code/branches/libraries2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 5734)
+++ code/branches/libraries2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 5735)
@@ -33,5 +33,5 @@
 #include "interfaces/PawnListener.h"
 #include "interfaces/TeamColourable.h"
-#include "objects/gametypes/TeamBaseMatch.h"
+#include "gametypes/TeamBaseMatch.h"
 
 namespace orxonox